[arch-commits] Commit in zsh/trunk (PKGBUILD zsh.install)

Eric Bélanger eric at archlinux.org
Sun Nov 18 04:23:18 UTC 2012


    Date: Saturday, November 17, 2012 @ 23:23:18
  Author: eric
Revision: 171490

upgpkg: zsh 5.0.0-3

Add info pages (close FS#31603)

Modified:
  zsh/trunk/PKGBUILD
  zsh/trunk/zsh.install

-------------+
 PKGBUILD    |    8 ++++----
 zsh.install |   11 +++++++++++
 2 files changed, 15 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2012-11-18 03:33:34 UTC (rev 171489)
+++ PKGBUILD	2012-11-18 04:23:18 UTC (rev 171490)
@@ -3,16 +3,16 @@
 
 pkgname=zsh
 pkgver=5.0.0
-pkgrel=2
+pkgrel=3
 pkgdesc='A very advanced and programmable command interpreter (shell) for UNIX'
 arch=('i686' 'x86_64')
 url='http://www.zsh.org/'
 license=('custom')
 depends=('pcre' 'libcap' 'gdbm')
+backup=('etc/zsh/zprofile')
 install=zsh.install
 source=("ftp://ftp.zsh.org/pub/${pkgname}-${pkgver}.tar.bz2"
         'zprofile')
-backup=('etc/zsh/zprofile')
 md5sums=('e8484468925cec8d9a84b8b04797e764'
          '24a9335edf77252a7b5f52e079f7aef7')
 
@@ -51,7 +51,7 @@
 		--enable-pcre \
 		--enable-cap \
 		--enable-zsh-secure-free
-	make
+	make all info
 }
 
 check() {
@@ -61,7 +61,7 @@
 
 package() {
 	cd "${srcdir}/${pkgname}-${pkgver}"
-	make DESTDIR="${pkgdir}/" install
+	make DESTDIR="${pkgdir}/" install install.info
 	install -D -m644 "${srcdir}/zprofile" "${pkgdir}/etc/zsh/zprofile"
 	install -D -m644 LICENCE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
 }

Modified: zsh.install
===================================================================
--- zsh.install	2012-11-18 03:33:34 UTC (rev 171489)
+++ zsh.install	2012-11-18 04:23:18 UTC (rev 171490)
@@ -1,5 +1,12 @@
+infodir=usr/share/info
+filelist=(zsh.info zsh.info-1 zsh.info-2 zsh.info-3 zsh.info-4 zsh.info-5 zsh.info-6)
+
 post_install() {
 	grep -q '/bin/zsh' etc/shells || echo '/bin/zsh' >> etc/shells
+	[ -x usr/bin/install-info ] || return 0
+	for file in ${filelist[@]}; do
+	    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+	done
 }
 
 post_upgrade() {
@@ -8,4 +15,8 @@
 
 pre_remove() {
 	sed -i '/^\/bin\/zsh/d' etc/shells
+	[ -x usr/bin/install-info ] || return 0
+	for file in ${filelist[@]}; do
+	    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+	done
 }




More information about the arch-commits mailing list